# Datenschutzerklärung

Dieses Projekt ist Teil einer wissenschaftlichen Abschlussarbeit zum Erwerb des Grades Bachelor of Science. Zum Schutz der privaten Daten haben verwenden wir das Prinzip der Minmalen Daten Verwendung und das Offline First Prinzip. Dementsprechend werden alle personenbezogenen Daten nur *lokal* auf dem Gerät gespeichert. Zusätzlich erheben wir keine Daten, die nicht notwendig sind für die Verwendung der App. 


## Verantwortliche 
Verantwortlich für die Entwicklung der App und des Studienservers ist *Niklas Bittner*, Student der Informatik an der Technischen Universität Darmstadt. 
Hauptbetreuer dieser Arbeit ist *Alexander Heinrich, M.Sc* als Doktorand und wissenschaftlicher Mitarbeiter an der Technischen Universität Darmstadt im Secure Mobile Networking Lab. 

Anschrift: 
Alexander Heinrich <br>
Pankratiusstraße 2, <br>
64289 Darmstadt 

## Studie 
Es gibt desweiteren die **frewillige** Möglichkeit an einer wissenschaftlichen Studie teilzunehmen. 
In dieser Studie möchten wir ermittellen, wie häufig Menschen durch Verfolgung bedroht werden. Ob Apple's Find My Geräte tatsächlich zum Verfolgen (tracking, stalking) von Personen genutzt werden. 
Und letztendlich, wie gut wir Menschen durch unsere App davor schützen können. 
Im Fall einer Zustimmung sendet die App dann **anonyimisierte** Daten an unserer Server, welche später im Rahmen der Studie ausgewertet und veröffentlicht werden. Mit Hilfe dieser Daten ist es uns nicht möglich Teilnehmende der Studie zu identifizieren. 



## Erfasste Daten 
Sofern Sie an der Studie nicht teilnehmen, werden alle erzeugten Daten nur auf ihrem Gerät gespeichert und können von uns **nicht eingesehen** werden. 
Das umfasst folgende Typen von Daten: 

* Standortdaten (wenn dem zugestimmt wird)
* Gefundene Tracking Gerät (e.g AirTags)
  * MAC Adresse der Geräte 
  * Inhalt der gesendeten Bluetooth advertisements 
  * Wann wurde das Gerät zu erst gefunden 
  * Wann wurde das Gerät zu letzt gefunden 


Bei **freiwilliger** teilnahme an der Studie, werden nur **anonymisierte** Daten erfasst, die es uns nicht erlauben Teilnehmende zu identifizieren, selbst, wenn wir nur eine/n Teilnehmer:in haben. 
Folgende Daten werden anonymisiert erfasst:
* Informationen zu gefundenen tracking Geräten 
  * 1 Status Byte aus den Bluetooth Advertisements 
    * Gibt aktuellen Ladestand an und, ob es sich dabei um einen AirTag/Find My Gerät oder anderes Apple Gerät handelt 
  * Ob das Gerät vom Ihnen ignoriert wurde 
  * Ob man sich zu dem Gerät verbinden kann (zum abspielen des Tons)
  * Daten wann ein Gerät gefunden wurde 
  * Empfangsstärke 
* Benachrichtigungen 
  * Datum der Benachrichtigung 
  * Wurde die Benachrichtung als falscher Alarm klassifiziert
* Optionales Feedback
  * Falls sie ein Gerät gefunden haben, welches Sie trackt können Sie uns mitteilen wo


**Diese App beinhaltet keine Werbung, Ad Libraries oder Tracker. Ihre Daten werden niemals mit dritten geteilt**

## Zugriff auf Daten 

Die Standortdaten werden nur erfasst, wenn dies vorher erlaubt wurde. Anschließend werden diese über die Android Standort Schnittstelle erfasst und anschließend lokal auf Ihrem Ger¨at gespeichert. 

Außerdem scannt die App die Umgebung nach Bluetooth Geräten. Die geschiet mit der entsprechenden Android API. Dabei verwenden wir einen Filter, so dass nur Daten angezeigt werden, die auch 

## Speicherung der Daten 

Unsere Studiendaten speichern wir auf einem Server in der Technischen Universität Darmstadt. Zugriff darauf haben nur die beiden Verantwortlichen. 

Die Daten auf Ihrem Gerät sind nicht für andere Apps einsehbar. 

## Zweck und Verwendung der Daten

Die Daten auf Ihrem Gerät sind notwendig, damit die App funktioniert. So wird erfasst, wann Ihre App welchen AirTag / Find My Gerät erfasst hat. 
Anschließend kann die App daraus erfassen welche Geräte Ihnen möglicherweise folgen oder mit Ihnen reisen. Dabei werden auch Standortdaten verwendet, um das zu erfassen. 

Alle Daten die freiwillig an uns übermittelt werden, werden nur im Rahmen unserer Studie verwendet. Diese Daten werden auf einem Server der Technischen Universität Darmstadt erfasst und gespeichert. Zugriff auf diesen Server haben nur die beiden Verantwortlichen für dieses Projekt. 

## Dauer der Speicherung 

Die Daten auf dem Gerät sind so lange vorhanden bis die App gelöscht wird. 

Die Daten der Studie werden nach Abschluss veröffentlicht. Dabei ist es aber nicht möglich einzelne Nutzer zu identifizieren, da diese Daten anonymisiert sind.  

## Rechte der Nutzenden 

### Auskunft 
Gemäß DSGVO besteht ein Recht auf Auskunft. Damit können alle Personen ihre persönlichen Daten, die von einer Organisation verarbeitet werden einsehen. 
Da wir jedoch keine personenbezogenen Daten speichern oder verabeiten können wir Ihnen diese auch nicht zeigen. 

### Löschung der Daten 
Zum löschen aller personenbezogenen Daten genügt es die App zu löschen. 
Daten die freiwillig zum Zwecke der Studie erfasst wurden, können nicht gelöscht werden, da diese nicht identifizierbar sind 

### Widerspruchsrecht 
Sie haben das der Nutzung der Daten zu widersprechen. Sollten sie nicht länger an der Studie teilnehmen wollen, deaktivieren Sie einfach die entsprechende Einstellung. 

## Sonstiges 
AirTag, FindMy, iPhone, etc sind von Apple geschützte Marken 

